function C = GetConstraintsBySE(y,X1,X2,A0,eb,n)
%  C = GetConstraintsBySE(y,X1,X2,A0,eb,n)
%  Set similarity/dissimilarity constraints using shrinkage-expansion
%  rule

m = length(y);
C = zeros(m, 4);
Dist  = zeros(m, 2);
for k=1:m
    if (y(k) == 1),
        d = (X1(k,:) - X2(k,:))*A0*(X1(k,:) - X2(k,:))';
        d = d- (d/eb);
        C(k,:) = [k k 1 d/eb];
        Dist(k,1) = (X1(k,:) - X2(k,:))*A0*(X1(k,:) - X2(k,:))';
        Dist(k,2) = d;
    else
        d = (X1(k,:) - X2(k,:))*A0*(X1(k,:) - X2(k,:))';
        d = d+ (eb/(d.^(1/n)));
        C(k,:) = [k k -1 d/eb];
        Dist(k,1) = (X1(k,:) - X2(k,:))*A0*(X1(k,:) - X2(k,:))';
        Dist(k,2) = d;
    end
end

