function [A params]= MetricLearning(X1, X2, A0, params)
%% A = MetricLearning(X1, X2, A0, params);
% Learning metric from training samples X1 and X2 with LogDet regularizer
% and Shrinkage-Expansion adaptive constraints.
%X1: The left data in  training pairs.
%X2: The right data in  training pairs.
%A0: Initalized matrix in Mahalanobis distance, and 
%      identity matrix is used in default.

d = size(X1,2);
y = [ones(size(X1,1)/2,1) ;-ones(size(X2,1)/2,1)];
[eb n] = parametersautotune(X1, X2,A0,params);
params.eb = eb;
params.n = n;
C = GetConstraintsBySE(y,X1,X2,A0,params.eb,params.n);

try    
    A = ItmlAlg(C, X1,X2, A0, params);
catch   
    disp('Unable to learn Mahalanobis matrix!');
    le = lasterror;
    disp(le.message);
    A = eye(d);
end    
