function acc = SVMforTest(trspair_l,trspair_r,trdpair_l,trdpair_r,tespair_l,tespair_r,tedpair_l,tedpair_r,A,s)
%% acc = SVMforTest(trspair_l,trspair_r,trdpair_l,trdpair_r,tespair_l,tespair_r,tedpair_l,tedpair_r,A,s) 
%% Find decision boundary b and Verification using SVM
distsame = zeros(size(trspair_l,1),1);
distdiff = zeros(size(trdpair_l,1),1);

for i = 1:size(trspair_l,1)
    
    distsame(i) = (trspair_l(i,:)-trspair_r(i,:))*A*(trspair_l(i,:)-trspair_r(i,:))';
    distdiff(i) = (trdpair_l(i,:)-trdpair_r(i,:))*A*(trdpair_l(i,:)-trdpair_r(i,:))';
    
end

trainlabel = [ones(size(trspair_l,1),1) ; -ones(size(trdpair_l,1),1) ];
trainset = [distsame; distdiff];

distsame = zeros(size(tespair_l,1),1);
distdiff = zeros(size(tedpair_l,1),1);

for i = 1:size(tespair_l,1)
    
    distsame(i) = (tespair_l(i,:)-tespair_r(i,:))*A*(tespair_l(i,:)-tespair_r(i,:))';
    distdiff(i) = (tedpair_l(i,:)-tedpair_r(i,:))*A*(tedpair_l(i,:)-tedpair_r(i,:))';
    
end

testlabel = [ones(size(tespair_l,1),1) ; -ones(size(tedpair_l,1),1) ];
testset = [distsame; distdiff];

if strcmp(s.opt,'PF') == 1
    model = svmtrain(trainlabel, trainset, [ '-s 0 -t 0 -c 1']);
else
    model = svmtrain(trainlabel, trainset, [ '-s 0 -t 1 -c 1 -q']);
end
[predicted_label, accuracy, ~] = svmpredict(testlabel, testset, model);
acc = accuracy(1);


