function s = SetParam(str,s)
% Set parameters for program
% s: user-specified parameters that are used instead of 

if strcmp(str,'LFW_SIFT') ==1
    s.opt = 'sift';
    s.features_folder = 'image_features\lfw_funneled_sfd\';
    s.pca = 'precom\pca_rd_600.mat';
    s.list = 'lists\LFW';
    s.dim = 161;
    s.gamma = 1; 
    s.beta = 1;
    s.maxvp = [2 2 2 2 2 2 2 2 2 2];
    s.thresh = 10e-3; 
    s.max_iters =  [340000 340000 340000 340000 340000 340000 340000 340000 340000 340000]; 
    s.test_type = 'combine';
elseif strcmp(str,'LFW_Attr') ==1
    s.opt = 'attri';
    s.features_folder = 'image_features\lfw_attr\';
    s.list = 'lists\LFW';
    s.dim = 73;
    s.gamma = 1; 
    s.beta = 1;
    s.maxvp = [1 1 1 9 5 5 10 1 1 10];
    s.thresh = 10e-3; 
    s.max_iters =  [900000 800000 900000 600000 1600000 1400000 1900000 1100000 1300000 900000];  
    s.test_type = 'combine';
elseif strcmp(str,'LFW_Combine') ==1
    s.Attri = 'precom\Attri_dist\';
    s.sift = 'precom\SIFT_dist\';
    s.weight = [0.054	0.146	0.055	0.075	0.210	0.093	0.053	0.051	0.083	0.115];  
elseif strcmp(str,'PubFig') ==1
    s.opt = 'PF';
    s.features_folder = 'image_features\PubFig\';
    s.list = 'lists\PubFig';
    s.dim = 73;
    s.gamma = 1; 
    s.beta = 1;
    s.maxvp = [2 2 2 2 2 2 2 2 2 2];
    s.thresh = 10e-3; 
    s.max_iters =  [12500000 12500000 12500000 12500000 12500000 12500000 12500000 12500000 12500000 12500000];  
    s.test_type = 'combine';
end
    
