% demo.m performs an example code of face verification on LFW and PubFig
% face databases.
% For  theoretical and technical details, please refer to the following paper:
%
% Qilong Wang, Wangmeng Zuo, Lei Zhang, and Peihua Li. Shrinkage Expansion Adaptive Metric Learning. 
% European Conference on Computer Vision (ECCV), 2014.
%
% Please cite the paper above if you use the code.
%
% For questions,  please conact:  Qilong Wang  (Email: csqlwang@gmail.com), 
%                                               
% The software is provided ''as is'' and without warranty of any kind,
% experess, implied or otherwise, including without limitation, any
% warranty of merchantability or fitness for a particular purpose.

%% set path
clc;
root = pwd;
addpath(fullfile(root, 'libsvm'));
addpath(fullfile(root, 'common'));
addpath(fullfile(root, 'main'));
%% Run demo
params = SetParam('LFW_SIFT');
DemoLFW_SIFT(params);

params = SetParam('LFW_Attr');
DemoLFW_Attri(params);

params = SetParam('LFW_Combine');
DemoLFW_Combine(params);

params = SetParam('PubFig');
DemoPubFig_Attri(params);
