function  [] = DemoLFW_Attri(params)
%DemoLFW_Attri.m performs the example code of face verification on LFW
% face databases with attributes features. 
%%  Ten folds cross validation
acc = zeros(1,10);
fprintf('Face Verfication on LFW face database Using  attributes features......\n'); 
global r;
for r = 1:10
fprintf('-------------------------------------------- The round %02d  \n', r); 
stridx = sprintf('%02d',r);
stridx = fullfile(params.list,stridx);
testdifffilename = [stridx,'_test_diff.txt'];
traindifffilename = [stridx,'_train_diff.txt'];
testsamefilename = [stridx,'_test_same.txt'];
trainsamefilename = [stridx,'_train_same.txt'];
%% Load  Features and normalized features
[trspair_l trspair_r] = getfeatures(params.features_folder,trainsamefilename,params.opt);
[trdpair_l trdpair_r] = getfeatures(params.features_folder,traindifffilename,params.opt);
[tespair_l tespair_r] = getfeatures(params.features_folder,testsamefilename,params.opt);
[tedpair_l tedpair_r] = getfeatures(params.features_folder,testdifffilename,params.opt);
 
trspair_l = NormalizeFea(trspair_l); trspair_r = NormalizeFea(trspair_r); trdpair_l = NormalizeFea(trdpair_l); trdpair_r = NormalizeFea(trdpair_r);
tespair_l = NormalizeFea(tespair_l); tespair_r = NormalizeFea(tespair_r); tedpair_l = NormalizeFea(tedpair_l); tedpair_r = NormalizeFea(tedpair_r);
 
%% Metric learning with Shrinkage-Expansion Adaptive Constraints
A0 = eye(params.dim);
t1=clock;
A = SEAML(trspair_l,trspair_r,trdpair_l,trdpair_r,A0,params); 
t2=clock;
trainTime=etime(t2,t1);
fprintf('The training time of %02d round is %f s.\n', r,trainTime); 
%% Face verification with learned metric
acc(r) = classifier(trspair_l,trspair_r,trdpair_l,trdpair_r,tespair_l,tespair_r,tedpair_l,tedpair_r,A,params);
end
fprintf('The average accuracy of ten folds cross validationis is %f + %f \n\n\n\n', mean(acc),std(acc)); 