function  [] = DemoLFW_SIFT(params)
%DemoLFW_SIFT.m performs the example code of face verification on LFW
% face databases with sift features. 
%% Load base of  dimensionality reduction 
load(params.pca)
if params.dim<600
    mapping.M =  pca_M(:,1:params.dim);
else
    error('%d is over the maximum dimensions (600) of percomputed PCA base.\n',params.dim);
end
acc = zeros(10,1);
%%  Ten folds cross validation 
fprintf('Face Verfication on LFW face database Using  SIFT features......\n'); 
global r;
for r = 1:10
fprintf('-------------------------------------------- The round %02d  \n', r); 
stridx = sprintf('%02d',r);
stridx = fullfile(params.list,stridx);
testdifffilename = [stridx,'_test_diff.txt'];
traindifffilename = [stridx,'_train_diff.txt'];
testsamefilename = [stridx,'_test_same.txt'];
trainsamefilename = [stridx,'_train_same.txt'];

%% Load sift features  and perform dimensionality reduction reduction via PCA
 [trspair_l trspair_r] = getfeatures(params.features_folder,trainsamefilename,params.opt);
 trspair_l = sqrt(trspair_l); trspair_r = sqrt(trspair_r); trspair_l = trspair_l * mapping.M; trspair_r = trspair_r * mapping.M;
 [trdpair_l trdpair_r] = getfeatures(params.features_folder,traindifffilename,params.opt);
 trdpair_l = sqrt(trdpair_l); trdpair_r = sqrt(trdpair_r); trdpair_l = trdpair_l * mapping.M; trdpair_r = trdpair_r * mapping.M;
 [tespair_l tespair_r] = getfeatures(params.features_folder,testsamefilename,params.opt);
 tespair_l = sqrt(tespair_l); tespair_r = sqrt(tespair_r); tespair_l = tespair_l * mapping.M; tespair_r = tespair_r * mapping.M;
 [tedpair_l tedpair_r] = getfeatures(params.features_folder,testdifffilename,params.opt);
 tedpair_l = sqrt(tedpair_l); tedpair_r = sqrt(tedpair_r); tedpair_l = tedpair_l * mapping.M; tedpair_r = tedpair_r * mapping.M;

%% Metric learning with Shrinkage-Expansion Adaptive Constraints
A0 = eye(params.dim);
t1=clock;
A = SEAML(trspair_l,trspair_r,trdpair_l,trdpair_r,A0,params); 
t2=clock;
trainTime=etime(t2,t1);
fprintf('The training time of %02d round is %f s.\n', r,trainTime); 
%% Face verification with learned metric
acc(r) = classifier(trspair_l,trspair_r,trdpair_l,trdpair_r,tespair_l,tespair_r,tedpair_l,tedpair_r,A,params);
end
fprintf('The average accuracy of ten folds cross validationis is %f + %f \n\n\n\n', mean(acc),std(acc)); 
