function  [] = DemoPubFig_Attri(params)
%DemoPubFig_Attri.m performs the example code of face verification on
%PubFig face databases with Attributes  features. 
fprintf('Face Verfication on PubFig face database with Attributes......\n'); 
%%  Ten folds cross validation 
global r;
for r = 1:10
%% Load  Features and normalized features
fprintf('------------------------------ The round %02d \n',r);
[trspair_l trspair_r trdpair_l trdpair_r] = gettrainfeatures(params.features_folder,params.list,r);
trspair_l = NormalizeFea(trspair_l); trspair_r = NormalizeFea(trspair_r); trdpair_l = NormalizeFea(trdpair_l); trdpair_r = NormalizeFea(trdpair_r);
 
[tespair_l tespair_r tedpair_l tedpair_r] = gettestfeatures(params.features_folder,params.list,r);
tespair_l = NormalizeFea(tespair_l); tespair_r = NormalizeFea(tespair_r); tedpair_l = NormalizeFea(tedpair_l); tedpair_r = NormalizeFea(tedpair_r);
%% Metric learning with Shrinkage-Expansion Adaptive Constraints
A0 = eye(params.dim);
t1=clock;
A = SEAML(trspair_l,trspair_r,trdpair_l,trdpair_r,A0,params); 
t2=clock;
trainTime=etime(t2,t1);
fprintf('The training time of %02d round is %f s.\n', r,trainTime); 
%% Face verification with learned metric
acc(r) = classifier(trspair_l,trspair_r,trdpair_l,trdpair_r,tespair_l,tespair_r,tedpair_l,tedpair_r,A,params);
end
fprintf('The average accuracy of ten folds cross validationis is %f + %f \n', mean(acc),std(acc)); 

